# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Wed Mar 31 07:35:58 2021
# ------------------------------------------------

package:
  name: r-randomforestsrc
  version: 2.11.0
source:
  sha256: 6295fa43bb20bd5248e30a3239259185acfb4c2b6219be9c7a9306031a1c3744
  url:
    - https://cran.r-project.org/src/contrib/Archive/randomForestSRC/randomForestSRC_2.11.0.tar.gz
    - https://cran.r-project.org/src/contrib/randomForestSRC_2.11.0.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r36h6d2157b_0
requirements:
  build:
    - m2-autoconf 2.69 4
    - m2-automake-wrapper 10 2
    - m2-automake1.10 1.10.3 4
    - m2-automake1.11 1.11.6 4
    - m2-automake1.12 1.12.6 4
    - m2-automake1.13 1.13.4 5
    - m2-automake1.14 1.14.1 4
    - m2-automake1.15 1.15 3
    - m2-automake1.6 1.6.3 3
    - m2-automake1.7 1.7.9 3
    - m2-automake1.8 1.8.5 4
    - m2-automake1.9 1.9.6 3
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-db 5.3.28 3
    - m2-diffutils 3.3 4
    - m2-filesystem 2016.04 4
    - m2-gawk 4.1.3 2
    - m2-gcc-libs 5.3.0 4
    - m2-gdbm 1.11 4
    - m2-gettext 0.19.7 4
    - m2-glib2 2.48.0 2
    - m2-gmp 6.1.0 3
    - m2-grep 2.22 4
    - m2-libasprintf 0.19.7 4
    - m2-libbz2 1.0.6 3
    - m2-libcrypt 1.3 2
    - m2-libdb 5.3.28 3
    - m2-libffi 3.2.1 2
    - m2-libgcrypt 1.6.4 2
    - m2-libgdbm 1.11 4
    - m2-libgettextpo 0.19.7 4
    - m2-libgpg-error 1.21 2
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-liblzma 5.2.2 2
    - m2-libpcre 8.38 2
    - m2-libreadline 6.3.008 8
    - m2-libxml2 2.9.2 3
    - m2-libxslt 1.1.28 8
    - m2-m4 1.4.17 5
    - m2-make 4.1 5
    - m2-mpfr 3.1.4 2
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-ncurses 6.0.20160220 2
    - m2-perl 5.22.1 2
    - m2-pkg-config 0.29.1 2
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2-zlib 1.2.8 4
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2020.3 h57928b3_311
    - libblas 3.9.0 8_mkl
    - libiconv 1.16 he774522_0
    - liblapack 3.9.0 8_mkl
    - libxml2 2.9.10 hf5bbc77_3
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-icu 58.2 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre 8.38 2
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2020.4 hb70f87d_311
    - msys2-conda-epoch 20160418 1
    - r-assertthat 0.2.1 r36h6115d3f_2
    - r-backports 1.2.1 r36h6d2157b_0
    - r-base 3.6.3 hddad469_7
    - r-base64enc 0.1_3 r36hda5aaf8_1004
    - r-brio 1.1.1 r36h6d2157b_0
    - r-callr 3.6.0 r36hc72bb7e_0
    - r-cli 2.3.1 r36hc72bb7e_0
    - r-clipr 0.7.1 r36h142f84f_0
    - r-colorspace 2.0_0 r36h6d2157b_0
    - r-cpp11 0.2.7 r36hc72bb7e_0
    - r-crayon 1.4.1 r36hc72bb7e_0
    - r-data.tree 1.0.0 r36_0
    - r-desc 1.3.0 r36hc72bb7e_0
    - r-diagrammer 1.0.6.1 r36h6115d3f_0
    - r-diffobj 0.3.3 r36h6d2157b_0
    - r-digest 0.6.27 r36h096a1c2_0
    - r-downloader 0.4 r36h6115d3f_1003
    - r-dplyr 1.0.5 r36ha856d6a_0
    - r-ellipsis 0.3.1 r36hda5aaf8_0
    - r-evaluate 0.14 r36h6115d3f_2
    - r-fansi 0.4.2 r36h6d2157b_0
    - r-farver 2.1.0 r36ha856d6a_0
    - r-generics 0.1.0 r36hc72bb7e_0
    - r-ggplot2 3.3.3 r36hc72bb7e_0
    - r-glue 1.4.2 r36h6d2157b_0
    - r-gridextra 2.3 r36h6115d3f_1003
    - r-gtable 0.3.0 r36h6115d3f_3
    - r-hms 1.0.0 r36hc72bb7e_0
    - r-htmltools 0.5.1.1 r36ha856d6a_0
    - r-htmlwidgets 1.5.3 r36hc72bb7e_0
    - r-httpuv 1.5.5 r36ha856d6a_0
    - r-igraph 1.2.6 r36h17c7c2f_1
    - r-influencer 0.1.0 r36hda5aaf8_1004
    - r-isoband 0.2.4 r36ha856d6a_0
    - r-jsonlite 1.7.2 r36h6d2157b_0
    - r-labeling 0.4.2 r36h142f84f_0
    - r-later 1.1.0.1 r36h796a38f_0
    - r-lattice 0.20_41 r36h6d2157b_3
    - r-lifecycle 1.0.0 r36hc72bb7e_0
    - r-magrittr 2.0.1 r36h6d2157b_1
    - r-mass 7.3_53.1 r36h6d2157b_0
    - r-matrix 1.3_2 r36hd2e18ed_0
    - r-mgcv 1.8_34 r36hd2e18ed_0
    - r-mime 0.10 r36h6d2157b_0
    - r-munsell 0.5.0 r36h6115d3f_1003
    - r-nlme 3.1_152 r36he816bda_0
    - r-pillar 1.5.1 r36hc72bb7e_0
    - r-pkgbuild 1.2.0 r36hc72bb7e_0
    - r-pkgconfig 2.0.3 r36h6115d3f_1
    - r-pkgload 1.2.0 r36ha856d6a_0
    - r-praise 1.0.0 r36h6115d3f_1004
    - r-prettyunits 1.1.1 r36h6115d3f_1
    - r-processx 3.5.0 r36h6d2157b_0
    - r-promises 1.2.0.1 r36ha856d6a_0
    - r-ps 1.6.0 r36h6d2157b_0
    - r-purrr 0.3.4 r36hda5aaf8_1
    - r-r6 2.5.0 r36hc72bb7e_0
    - r-rcolorbrewer 1.1_2 r36h6115d3f_1003
    - r-rcpp 1.0.6 r36ha856d6a_0
    - r-readr 1.4.0 r36h096a1c2_0
    - r-rematch2 2.1.2 r36h6115d3f_1
    - r-rgexf 0.16.0 r36h6115d3f_1
    - r-rlang 0.4.10 r36h6d2157b_0
    - r-rprojroot 2.0.2 r36hc72bb7e_0
    - r-rstudioapi 0.13 r36hc72bb7e_0
    - r-scales 1.1.1 r36h6115d3f_0
    - r-servr 0.21 r36hc72bb7e_0
    - r-stringi 1.5.3 r36ha856d6a_1
    - r-stringr 1.4.0 r36h6115d3f_2
    - r-testthat 3.0.2 r36ha856d6a_0
    - r-tibble 3.1.0 r36h6d2157b_1
    - r-tidyr 1.1.3 r36ha856d6a_0
    - r-tidyselect 1.1.0 r36h6115d3f_0
    - r-utf8 1.2.1 r36h6d2157b_0
    - r-vctrs 0.3.7 r36h6d2157b_0
    - r-viridis 0.5.1 r36h6115d3f_1004
    - r-viridislite 0.3.0 r36h6115d3f_1003
    - r-visnetwork 2.0.9 r36h6115d3f_1
    - r-waldo 0.2.5 r36hc72bb7e_0
    - r-withr 2.4.1 r36hc72bb7e_0
    - r-xfun 0.20 r36h6d2157b_0
    - r-xml 3.99_0.3 r36hda5aaf8_1
    - r-yaml 2.2.1 r36h6d2157b_1
    - r-zeallot 0.1.0 r36h6115d3f_1002
    - vc 14.2 hb210afc_4
    - vs2015_runtime 14.28.29325 h5e1d092_4
    - zlib 1.2.11 h62dcd97_1010
  run:
    - m2w64-gcc-libs
    - r-base >=3.6,<3.7.0a0
    - r-data.tree
    - r-diagrammer
test:
  commands:
    - '"%R%" -e "library(''randomForestSRC'')"'
about:
  home: http://web.ccs.miami.edu/~hishwaran http://www.kogalur.com https://github.com/kogalur/randomForestSRC
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file:
    - D:\bld\r-randomforestsrc_1617176384686\_h_env/lib/R/share/licenses/GPL-3
  summary: Fast OpenMP parallel computing of Breiman's random forests for survival,
    competing risks, regression and classification based on Ishwaran and Kogalur's
    popular random survival forests (RSF) package.  Handles missing data and now includes
    multivariate, unsupervised forests, quantile regression and solutions for class
    imbalanced data.  New fast interface using subsampling and confidence regions
    for variable importance.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
